Subject: RE: [Sip] WGLC for draft-ietf-sip-nat

From: "Jasson Casey" <[email-masked]>
Date: Wed, 11 Sep 2002 08:30:28 -0500

I've got a quick question. Timer C >= 180s. When timer c fires a couple things should happen to expire the transaction or keep it going. How does having a minimum value of 180s allow the provisional responses to keep the binding alive through a NAT if we're talking about NAT expirations ~ 30s? 
 
I just didn't understand the sentence 'The provisional response sent
by the UAS, in order to keep timer C going, will maintain the bindings.'

-jasson

	-----Original Message----- 
	From: Jonathan Rosenberg [mailto:[email-masked]] 
	Sent: Mon 9/9/2002 10:46 PM 
	To: Steve Silverman 
	Cc: [email-masked]; Dean Willis; [email-masked]; [email-masked]; [email-masked]; [email-masked] 
	Subject: Re: [Sip] WGLC for draft-ietf-sip-nat

	Steve Silverman wrote:
	> If the system can not complete a phone call in less than one minute, the
	> caller will have hung up long ago.  When you dial a call today, how long
	> will you wait for the called party?  In most parts of the world, about 10
	> seconds is  the limit and then the caller hangs up and tries again.
	
	Great, and that case works.
	
	However, we have sevearl other cases of concern. The most irritating of
	these is the case where a UAS is a gateway that connects to an 800
	number system that actually never generates an ACM. Rather, it uses the
	reverse media path to prompt the user that they are in a queue. Once the
	user is out of the queue, the call is actually answered. As a result of
	this, the call can "ring" for minutes, perhaps even hours. To keep the
	binding alive to receive the SIP response is this case, the client will
	need to retransmit the INVITE every 30s or so. Of course, TCP is better
	here, and won't require any retransmits. The provisional response sent
	by the UAS, in order to keep timer C going, will maintain the bindings.
	
	However, the main feature provided by this specification, rport, ensures
	that the response, whether generated immediately or later on, is
	received by the UAC behind the NAT.
	
	-Jonathan R.

	--
	Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
	Chief Scientist                             First Floor
	dynamicsoft                                 East Hanover, NJ 07936
	[email-masked]                     FAX:   (973) 952-5050
	http://www.jdrosen.net                      PHONE: (973) 952-5000
	http://www.dynamicsoft.com
	
	_______________________________________________
	Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
	This list is for NEW development of the core SIP Protocol
	Use [email-masked] for questions on current sip
	Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 12 Sep 2002 15:03:19 -0400

Jasson Casey wrote:
 > I've got a quick question. Timer C >= 180s. When timer c fires a
 > couple things should happen to expire the transaction or keep it
 > going. How does having a minimum value of 180s allow the provisional
 > responses to keep the binding alive through a NAT if we're talking
 > about NAT expirations ~ 30s?
 >

My comment below refers to the TCP case. TCP bindings expire too if 
there is no TCP keepalive or traffic on the connection. That expiration 
is usually many minutes, 10-30 it seems. So, a message every 3m will 
keep it alive if the TCP keepalive isn't doing so.

-Jonathan R.

 > -----Original Message----- From: Jonathan Rosenberg
 > [mailto:[email-masked]] Sent: Mon 9/9/2002 10:46 PM To:
 > Steve Silverman Cc: [email-masked]; Dean Willis; [email-masked];
 > [email-masked]; [email-masked]; [email-masked] Subject:
 > Re: [Sip] WGLC for draft-ietf-sip-nat
 >
 >
 >
 > Steve Silverman wrote: > If the system can not complete a phone call
 > in less than one minute, the > caller will have hung up long ago.
 > When you dial a call today, how long > will you wait for the called
 > party?  In most parts of the world, about 10 > seconds is  the limit
 > and then the caller hangs up and tries again.  Great, and that case
 > works.  However, we have sevearl other cases of concern. The most
 > irritating of these is the case where a UAS is a gateway that
 > connects to an 800 number system that actually never generates an
 > ACM. Rather, it uses the reverse media path to prompt the user that
 > they are in a queue. Once the user is out of the queue, the call is
 > actually answered. As a result of this, the call can "ring" for
 > minutes, perhaps even hours. To keep the binding alive to receive the
 > SIP response is this case, the client will need to retransmit the
 > INVITE every 30s or so. Of course, TCP is better here, and won't
 > require any retransmits. The provisional response sent by the UAS, in
 > order to keep timer C going, will maintain the bindings.  However,
 > the main feature provided by this specification, rport, ensures that
 > the response, whether generated immediately or later on, is received
 > by the UAC behind the NAT.  -Jonathan R.   -- Jonathan D. Rosenberg,
 > Ph.D.                72 Eagle Rock Ave. Chief Scientist
 > First Floor dynamicsoft                                 East Hanover,
 > NJ 07936 [email-masked]                     FAX:   (973)
 > 952-5050 http://www.jdrosen.net                      PHONE: (973)
 > 952-5000 http://www.dynamicsoft.com
 > _______________________________________________ Sip mailing list
 > https://www1.ietf.org/mailman/listinfo/sip This list is for NEW
 > development of the core SIP Protocol Use
 > [email-masked] for questions on current sip Use
 > [email-masked] for new developments on the application of sip
 >